use diesel::pg::PgConnection;
use diesel::prelude::*;
use dotenvy::dotenv;
use miniweb::schema::users::dsl::*;
use miniweb::users::models::User;
use std::env;

pub fn establish_connection() -> PgConnection {
    dotenv().ok();

    let database_url = env::var("DATABASE_URL").expect("DATABASE_URL must be set");
    PgConnection::establish(&database_url)
        .unwrap_or_else(|_| panic!("Error connecting to {}", database_url))
}

fn main() {
    let connection = &mut establish_connection();

    let results = users
        .select(User::as_select())
        .load(connection)
        .expect("Error loading posts");

    println!("Displaying {} users", results.len());
    for user in results {
        println!("{}", user.username);
    }
    println!("-----------\n");
}
